#! /usr/bin/env python3

"""TeamTalk Commander (TTCom)
Copyright (c) 2011-2024 Doug Lee.

This program is covered by version 3 of the GNU General Public License.
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under
certain conditions.
See the file LICENSE.txt for further information.
The ConfigObj and Six modules are under separate licenses and copyrights;
see those files for details.
"""

import sys, threading
from TTComCmd import TTComCmd
# More for command-line Python support.
import os, time
import shlex

if __name__ == "__main__":
	# This auto-upgrades the configuration structure as necessary.
	import upgrade_conf
	del upgrade_conf
	# And assuming that didn't exit with an error, we can now go on with the show.
	from conf import conf
	conf.name = "TTCom"
	conf.version = "1511"
	args = sys.argv[1:]
	# Keep args out of the cmd system.
	# If -c is present, the next arg will be split and sent as args to the cmd system.
	del sys.argv[1:]
	noAutoLogins = False
	shortnames = []
	while args:
		arg = args.pop(0)
		if arg == "-n":
			noAutoLogins = True
		elif arg == "-c":
			noAutoLogins = True
			sys.argv.extend(shlex.split(args.pop(0)))
		else:
			noAutoLogins = True
			shortnames.append(arg)
	app = TTComCmd(noAutoLogins, shortnames)
	app.allowPython()
	if shortnames:
		cur = shortnames[-1]
		app.onecmd("switch " +cur)
	app.run()
